package net.halbear.Terrain4J.EngineCore.Profiling;

import net.halbear.Terrain4J.EngineCore.Vulkan.Structure.DeviceLayers.Device;
import net.halbear.Terrain4J.EngineCore.Vulkan.Util.VulkanUtils;
import org.lwjgl.system.MemoryStack;
import org.lwjgl.vulkan.VkCommandBuffer;
import org.lwjgl.vulkan.VkDevice;
import org.lwjgl.vulkan.VkQueryPoolCreateInfo;

import java.nio.LongBuffer;

import static org.lwjgl.vulkan.VK13.*;

public class GPUProfiler {
    private long RemoteryInstance;

    public GPUProfiler(){

    }

    public void Initiate(Device device){
        try(var MemStack = MemoryStack.stackPush()){

        }
    }

    public void reset(VkCommandBuffer CommandBuffer){
    }

    public void StartFrame(VkCommandBuffer CommandBuffer){
    }

    public void EndFrame(VkCommandBuffer CommandBuffer){
    }

    public String LogGPUUsage(Device device){
        return "";
    }

    public void CleanUp(Device device){
    }
}
